Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8379 - DHCP broken on Sparc
Summary: DHCP broken on Sparc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd
Version: 6.1
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-11 18:00 UTC by pstorkey
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-07-16 23:45:28 UTC


Attachments (Terms of Use)

Description pstorkey 2000-01-11 18:00:07 UTC
Please note that I have been unable to get Pump to work with @home's DHCP
servers. On my Intel Redhat 6.0 box, I was able to connect no problem
using dhcpcd but I was unable to get it to work on my Sparc 20 even with
an identical configuration.

After a little research, I discovered there is a patch that must be
applied to the dhcpcd source code to make it work on the Sparc platform.
If you don't apply the patch, it will compile without error but will exit
with a Signal 10 every time you run it. The patch can be found at:

http://www.cse.msu.edu/~dunham/out/dhcpcd-align.patch

This has been broken since at least v6.0

Hope this helps

Pete

Comment 1 Elliot Lee 2001-07-19 00:07:25 UTC
Apologies for the unresponsiveness of the previous maintainer...

Many alignment problems have been fixed in subsequent package versions.


Note You need to log in before you can comment on or make changes to this bug.